> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List routing statuses

> Returns the current routing status of each agent selected by the provided filters.

**Required scopes:** <Tooltip tip="To list statuses of agents.">`agents--all:ro`</Tooltip> and <Tooltip tip="To list statuses of bots.">`agents-bot--all:ro`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/list_routing_statuses
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/list_routing_statuses:
    post:
      tags:
        - Status
      summary: List routing statuses
      description: >-
        Returns the current routing status of each agent selected by the
        provided filters.
      operationId: list-routing-statuses
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListRoutingStatusesRequest'
            example:
              filters:
                group_ids:
                  - 0
      responses:
        '200':
          description: Returns the current routing status of each selected agent.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RoutingStatus'
              example:
                - agent_id: smith@example.com
                  status: accepting_chats
                - agent_id: agent@example.com
                  status: not_accepting_chats
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - agents--all:ro
components:
  schemas:
    ListRoutingStatusesRequest:
      type: object
      properties:
        filters:
          type: object
          description: Filters for the routing statuses list.
          properties:
            group_ids:
              type: array
              items:
                type: integer
              description: Group IDs to filter agents by.
    RoutingStatus:
      type: object
      properties:
        agent_id:
          type: string
          description: The agent ID.
          example: smith@example.com
        status:
          type: string
          description: The agent's current routing status.
          example: accepting_chats
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````